package DeathYells
{
    function gameConnection::onDeath(%killed, %killerPlayer, %killer, %a, %b)
    {
        serverplay3d(%sound="scream" @ getRandom(1, 15), %killed.player.getHackPosition() SPC "0 0 1 0");
        return parent::onDeath(%killed, %killerPlayer, %killer, %a, %b);
    }
};
activatepackage(DeathYells);

package customDeathSound
{
     function player::playDeathCry(%this)
     {
          serverplay3d(%sound="body" @ getRandom(1, 4), %this.getHackPosition() SPC "0 0 1 0");
     }
};
activatePackage(customDeathSound);




//
//BELOW IS """BORROWED""" FROM DANNY <3
//
package customPainSound
{    
	function Player::PlayPain(%player)
	{
		serverPlay3D("Pain" @ getRandom(1, 4), %player.getHackPosition());
	}

	function Armor::Damage(%this,%obj,%sourceObject,%position,%damage,%damageType)
	{
		if(%obj.client.getClassName() $= "GameConnection")
		{
			if(!%client.justdied) 
			{
				if(%damage > 0)
					%obj.client.player.PlayPain(); 
			}
		}
		return Parent::Damage(%this,%obj,%sourceObject,%position,%damage,%damageType);
		}

		function GameConnection::onDeath(%client)
		{
			%client.justdied = 1;
			%client.player.PlayDeathCry(); 
			return Parent::onDeath(%client);
		}

		function GameConnection::spawnPlayer(%client)
		{
			%client.justdied = 0; 
			return Parent::spawnPlayer(%client); 
		}
};
activatePackage(customPainSound);